{% extends "base.html" %}
{% load i18n %}
{% load crispy_forms_tags %}

{% block title %}{% trans "Activate Account" %}{% endblock title %}

{% block content %}
<div class="container">
    <div class="row card-row">
        <div class="col-12 col-sm-9 col-lg-6 mx-auto my-auto">
            <div class="card">
                <div class="card-header text-center">
                    <h1>{% trans "Activate Account" %}</h1>
                </div>
                <div class="card-body">
                    <p class="text-center">{% trans "Welcome to" %} {{ WEBSITE_NAME }},
                        <span class="font-weight-bold text-dark">{{ account.first_name }}</span>!
                    </p>
                    <hr>
                    <form novalidate method="post">
                        {% csrf_token %}
                        {{ form|crispy }}
                        <hr>
                        <div class="d-flex justify-content-between" style="flex-wrap: wrap;">
                            <div style="line-height: 19px;">
                                <a data-target="#what-is-libreogranize" data-toggle="modal" href="javascript:void(0);">
                                    {% trans "What is LibreOrganize?" %}
                                </a>
                                <br>
                                <a data-target="#why-did-i-receive-this" data-toggle="modal" href="javascript:void(0);">
                                    {% trans "Why did I receive this?" %}
                                </a>
                            </div>
                            <div>
                                <button type="submit" class="btn btn-primary">
                                    <i class="fas fa-check fa-fw mr-1"></i>{% trans "Submit" %}
                                </button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
<div class="modal fade core-font" id="what-is-libreogranize">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title">{% trans "What is LibreOrganize?" %}</h5>
            </div>
            <div class="modal-body">
                <p>
                    <a href="https://libreorganize.org/" target="_blank">LibreOrganize</a>
                    {% trans "is a web platform for local unions and progressive organizations." %}
                </p>
                <p>
                    {% trans "We respect your privacy! LibreOrganize stores all data on its own servers and does not share it with any third-parties.*" %}
                </p>
                <p>{% trans "You can enjoy LibreOrganize from your mobile phone as well with our mobile user interface!" %}</p>
                <small class="text-muted">*Only applies to LibreOrganize websites maintained by NOVA Web Development</small>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-primary" data-dismiss="modal">{% trans "OK" %}</button>
            </div>
        </div>
    </div>
</div>
<div class="modal fade core-font" id="why-did-i-receive-this">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title">{% trans "Why did I receive this?" %}</h5>
            </div>
            <div class="modal-body">
                <p>{% trans "An account associated with your email was created on this website." %}</p>
                <p>{% trans "Do not continue if you were not expecting to be here." %}</p>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-primary" data-dismiss="modal">{% trans "OK" %}</button>
            </div>
        </div>
    </div>
</div>
{% endblock content %}